package sgraphics;

// Copyright (c) 1987-91 Stanford University
// Copyright (c) 1991-94 Silicon Graphics, Inc.
// Copyright (c) 1993-94 Fujitsu, Ltd.
// Copyright (c) 1996    Michael A. Jones

/**
 * An adjustment constraint controls the allowable scrolling region
 * for an adjustment.
 */
public interface AdjustmentConstraint {

	/**
	 * Constrain the value to be within the allowable scrolling region.
     */
    public float constrain (float lower, float length, float currentLength, float value);

	/**
	 * Return the scroll position to move the view to the beginning of
	 * the data.
     */
    public float scrollBegin(float lower, float length, float currentLength);

	/**
	 * Return the scroll position to move the view to the end of
	 * the data.
     */
    public float scrollEnd(float lower, float length, float currentLength);

}
