package sgraphics;

// Copyright (c) 1987-91 Stanford University
// Copyright (c) 1991-95 Silicon Graphics, Inc.
// Copyright (c) 1993-95 2001 S.A.
// Copyright (c) 1993-96 Fujitsu, Ltd.
// Copyright (c) 1994-96 Firefly Design
// Copyright (c) 1995-96 Vitria, Inc.
// Copyright (c) 1996    Michael A. Jones

import java.awt.Graphics;

/**
 * The PolyGlyph class is a Composite class of other Glyphs.
 * It may be used for container glyphs like vertical and horizontal
 * boxes.
 */
public abstract class PolyGlyph extends GlyphImpl {
	public void pick (Picker pick) {
		for (int cnt = 0; cnt < count(); cnt++)
			children_[cnt].pick(pick);
	}

	public void draw (Painter painter) {
		for (int cnt = 0; cnt < count(); cnt++)
			children_[cnt].draw(painter);
	}

    /**
     * Don't use. Not implemented.
     */
	public final void setBody () {
	}

    /**
     * Don't use. Not implemented.
     */
	public final Glyph body () {
	    return null;
	}
}
