package sgraphics;

// Copyright (c) 1987-91 Stanford University
// Copyright (c) 1991-95 Silicon Graphics, Inc.
// Copyright (c) 1993-95 2001 S.A.
// Copyright (c) 1993-96 Fujitsu, Ltd.
// Copyright (c) 1994-96 Firefly Design
// Copyright (c) 1995-96 Vitria, Inc.
// Copyright (c) 1996    Michael A. Jones
// Copyright (c) 1997    Bill Petheram

import java.awt.Graphics;

/**
 * Viewer is the interface for event handling glyphs.
 */
public interface Viewer {
	/**
	 * Handle an event.
	 *
	 * @event the event being handled.
	 * @return true if the event was handled.
	 */
	public boolean handleEvent (GraphicsEvent event);

	/*
	 * Process a picker chain.
     *
	 * @picker the pick chain.
	 * @event the event that was used to generate the picker chain.
	 * @return true if the event was handled.
	 */
	public boolean processPick(Picker pick, GraphicsEvent event);

}
