package sgraphics.example;

// Copyright (c) 1996    Michael A. Jones

import java.awt.*;
import java.applet.*;

import sgraphics.*;
import sgraphics.figure.*;
import sgraphics.layout.*;
import sgraphics.widget.*;
import sgraphics.wrapper.*;

public class CheckBoxApplet extends Applet {

	public void init () {

		setLayout(new BorderLayout());

		Glyph checkbox = LayoutKit.vbox();
		checkbox.append(new CheckboxGlyph("check one"));
		checkbox.append(new CheckboxGlyph("check two"));
		checkbox.append(new CheckboxGlyph("check three"));
		checkbox.append(new CheckboxGlyph("check four"));
		checkbox.append(new CheckboxGlyph("check five"));

		FigureStyle style = new FigureStyle();
		style.foreground = Color.black;
		style.background = Color.lightGray;
		style.font = new Font("Helvetica", Font.PLAIN, 12);
		Glyph labelBox = new LabeledOutline(checkbox, FigureKit.label(style, "Labeled Outline"), Color.gray, Color.white);

 		Glyph vbox = LayoutKit.vbox();
		vbox.append(LayoutKit.vspace(10.0F));
		vbox.append(LayoutKit.flexible(labelBox, 0.0F, 0.0F));
		vbox.append(LayoutKit.vspace(5.0F));
		vbox.append(LayoutKit.vfil());

		Glyph hbox = LayoutKit.hbox();
		hbox.append(LayoutKit.hspace(20.0F));
		hbox.append(vbox);
		hbox.append(LayoutKit.hspace(5.0F));
		hbox.append(LayoutKit.hfil());

		SgraphicsAdapter a1 = new SgraphicsAdapter(hbox);
		Sgraphics.resolutionIndependent = false;
		setBackground(Color.lightGray);
		add("Center", a1);
	}
}
