package sgraphics.figure;

// Copyright (c) 1987-91 Stanford University
// Copyright (c) 1991-95 Silicon Graphics, Inc.
// Copyright (c) 1993-95 2001 S.A.
// Copyright (c) 1993-96 Fujitsu, Ltd.
// Copyright (c) 1994-96 Firefly Design
// Copyright (c) 1995-96 Vitria, Inc.
// Copyright (c) 1996    Michael A. Jones

import sgraphics.*;

/**
 * A figure is a shape like a square, circle, etc.
 */
public abstract class Figure extends GlyphImpl implements FigureMode {
	private FigureStyle style_ = new FigureStyle();
	private int mode_ = Stroke;
	private boolean grabbed_ = false;

	public synchronized void setStyle (FigureStyle style) {
		style_.background = style.background;
		style_.foreground = style.foreground;
		style_.font = style.font;
		style_.brushSize = style.brushSize;
		}

	public synchronized FigureStyle getStyle () {
		FigureStyle style = new FigureStyle();
		style.background = style_.background;
		style.foreground = style_.foreground;
		style.font = style_.font;
		style.brushSize = style_.brushSize;
		return style;
		}

	public void setMode (int mode) {
		mode_ = mode;
		needRedraw();
		}

	public int getMode () {
		return mode_;
		}

	/**
	 * Returns the position of any internal structure at the given
	 * coordinates. The coordinates are the coordinates that a
	 * valid event would have during picking.
	 */
	public int position (float x, float y) {
		return 0;
	}
}
