package sgraphics.layout;

// Copyright (c) 1987-91 Stanford University
// Copyright (c) 1991-95 Silicon Graphics, Inc.
// Copyright (c) 1993-95 2001 S.A.
// Copyright (c) 1993-96 Fujitsu, Ltd.
// Copyright (c) 1994-96 Firefly Design
// Copyright (c) 1995-96 Vitria, Inc.
// Copyright (c) 1996    Michael A. Jones

import sgraphics.*;

/**
 * A box that aligns children.
 */
class BoxAlignElements extends Box {
	int axis_;
	float alignment_;

	public BoxAlignElements (LayoutManager manager, int axis, float alignment) {
		super(manager);
		axis_ = axis;
		alignment_ = alignment;
		}

	public void append (Glyph glyph) {
		super.append(new Placement(glyph, new CenterLayout(axis_, alignment_)));
		}

	public void prepend (Glyph glyph) {
		super.prepend(new Placement(glyph, new CenterLayout(axis_, alignment_)));
		}
}
