package sgraphics.layout;

// Copyright (c) 1996    Michael A. Jones

import sgraphics.*;

/**
 * DebugLayout is used for debugging layouts.
 */
public class DebugLayout extends LayoutManager {
	private LayoutManager layout_ = null;

	public DebugLayout (LayoutManager layout) {
		layout_ = layout;
		}

	public void requirements (Glyph list[], Requirements requirements) {
		System.out.println("DEBUG LAYOUT: requirements");
		layout_.requirements(list, requirements);
		Requirement x = requirements.x;
		Requirement y = requirements.y;
		System.out.println("DEBUG LAYOUT: requirement x is natural = " + x.natural + " maximum = " + x.maximum + " minimum = " + x.minimum + " alignment = " + x.align);
		System.out.println("DEBUG LAYOUT: requirement y is natural = " + y.natural + " maximum = " + y.maximum + " minimum = " + y.minimum + " alignment = " + y.align);

		}

	public void allocate (Glyph list[], Allocation allocation) {
		System.out.println("DEBUG LAYOUT: allocate");
		Area a = allocation.allocation;
		BoundingSpan x = a.span(Area.xAxis);
		BoundingSpan y = a.span(Area.yAxis);
		System.out.println("DEBUG LAYOUT: allocate x is begin = " + x.origin + " end = " + x.end + " length = " + x.length + " align " + x.align);
		System.out.println("DEBUG LAYOUT: allocate y is begin = " + y.origin + " end = " + y.end + " length = " + y.length + " align " + y.align);
		layout_.allocate(list, allocation);
		}

	public Allocation[] allocations (Glyph list[], Allocation allocation) {
		System.out.println("DEBUG LAYOUT: allocate");
		Area a = allocation.allocation;
		BoundingSpan x = a.span(Area.xAxis);
		BoundingSpan y = a.span(Area.yAxis);
		System.out.println("DEBUG LAYOUT: allocate x is begin = " + x.origin + " end = " + x.end + " length = " + x.length + " align " + x.align);
		System.out.println("DEBUG LAYOUT: allocate y is begin = " + y.origin + " end = " + y.end + " length = " + y.length + " align " + y.align);
		return layout_.allocations(list, allocation);
		}
}
