package sgraphics.layout;

// Copyright (c) 1987-91 Stanford University
// Copyright (c) 1991-95 Silicon Graphics, Inc.
// Copyright (c) 1993-95 2001 S.A.
// Copyright (c) 1993-96 Fujitsu, Ltd.
// Copyright (c) 1994-96 Firefly Design
// Copyright (c) 1995-96 Vitria, Inc.
// Copyright (c) 1996    Michael A. Jones

import sgraphics.*;
import java.awt.Graphics;

// @@ This will need to handle picking using over and under.

/**
 * Layer glyphs. Requirements and allocation are handled by the
 * between glyph.
 */
class LayerLayout extends MonoGlyph {
	Glyph over_;
	Glyph under_;

	/**
	 *
	 * Layout by layering.
	 *
	 * @param between the middle glyph.
	 * @param under the lower glyph.
	 * @param over the top glyph.
	 */
	public LayerLayout (Glyph between, Glyph under, Glyph over) {
		super(between);
		under_ = under;
		over_ = over;
		}

	public void allocate (Allocation allocation) {
		if (under_ != null)
			under_.allocate(allocation);
		super.allocate(allocation);
		if (over_ != null)
			over_.allocate(allocation);
		}

	public void draw (Painter painter) {
		if (under_ != null)
			under_.draw(painter);
		super.draw(painter);
		if (over_ != null)
			over_.draw(painter);
		}
}
