package sgraphics.layout;

// Copyright (c) 1987-91 Stanford University
// Copyright (c) 1991-95 Silicon Graphics, Inc.
// Copyright (c) 1993-95 2001 S.A.
// Copyright (c) 1993-96 Fujitsu, Ltd.
// Copyright (c) 1994-96 Firefly Design
// Copyright (c) 1995-96 Vitria, Inc.
// Copyright (c) 1996    Michael A. Jones

import sgraphics.*;

/**
 * LayoutManager handles the layout for a Box.
 */
abstract class LayoutManager {

	/**
	 * Take a list of glyphs and make a single requirement.
	 *
	 * @param list a list of glyphs.
	 * @param requirement the requirement.
	 */
	public abstract void requirements (Glyph list[], Requirements requirements);

	/**
	 * Allocate for a list of glyphs.
	 *
	 * @param list a list of glyphs.
	 * @param allocation the space to use.
	 */
	public abstract void allocate (Glyph list[], Allocation allocation);

	/**
	 * Calculate the allocations for the list.
	 *
	 * @param list a list of glyphs.
	 * @param allocation the space to use.
	 * @return a list of allocations for each glyph in the list.
	 */
	public Allocation[] allocations (Glyph list[], Allocation allocation) {
		return null;
		}
}
