package sgraphics.layout;

// Copyright (c) 1987-91 Stanford University
// Copyright (c) 1991-95 Silicon Graphics, Inc.
// Copyright (c) 1993-95 2001 S.A.
// Copyright (c) 1993-96 Fujitsu, Ltd.
// Copyright (c) 1994-96 Firefly Design
// Copyright (c) 1995-96 Vitria, Inc.
// Copyright (c) 1996    Michael A. Jones

import sgraphics.*;

/**
 * Change the natural size of a glyph.
 */
class NaturalLayout extends LayoutManager implements Axis {
	private int axis_;
	private float natural_;

	/**
	 *
	 * Layout by changing the natural size.
	 *
	 * @param axis the axis to fix.
	 * @param natural the natural size.
	 */
	public NaturalLayout (int axis, float natural) {
		axis_ = axis;
		natural_ = natural;
		}

	public void requirements (Glyph list[], Requirements requirements) {
		Requirement r = GlyphImpl.requirement(requirements, axis_);
		r.defined = true;
		r.natural = natural_;
		}

	public void allocate (Glyph list[], Allocation allocation) {
		Allocation allocations[] = calculateAllocations(list, allocation);
		list[0].allocate(allocations[0]);
		}

	public Allocation[] allocations (Glyph list[], Allocation allocation) {
		return calculateAllocations(list, allocation);
		}

	private Allocation[] calculateAllocations (Glyph list[], Allocation allocation) {
		Allocation a[] = new Allocation[1];
		a[0] = allocation;
		return a;
		}

}
