package sgraphics.layout;

// Copyright (c) 1987-91 Stanford University
// Copyright (c) 1991-95 Silicon Graphics, Inc.
// Copyright (c) 1993-95 2001 S.A.
// Copyright (c) 1993-96 Fujitsu, Ltd.
// Copyright (c) 1994-96 Firefly Design
// Copyright (c) 1995-96 Vitria, Inc.
// Copyright (c) 1996    Michael A. Jones

import sgraphics.*;

/**
 * Layout a single glyph with a LayoutManager.
 */
class Placement extends MonoGlyph {
	LayoutManager layout_;

	Placement (Glyph g, LayoutManager layout) {
		super (g);
		layout_ = layout;
		}

	public Requirements requirements () {
		Requirements r = super.requirements();
		Glyph list[] = new Glyph[1];
		list[0] = body();
		layout_.requirements(list, r);
		return r;
		}

	public void allocate (Allocation allocation) {
		Glyph list[] = new Glyph[1];
		list[0] = body();
		layout_.allocate (list, allocation);
		}
	}
