ORIGIN		= Symantec Caf
ORIGIN_VER	= Version 7.22
VERSION		= DEBUG

!IFDEF SUB_DEBUG
DEBUG		= $(SUB_DEBUG)
NDEBUG		= !$(SUB_DEBUG)
!ELSE
DEBUG		= 1
NDEBUG		= 0
!ENDIF

PROJ		= sgraphics
APPTYPE		= JAVA CONSOLE
PROJTYPE	= class

JAVAC		= sj
MAKE		= SMAKE
LNK		= LINK


HEADERS		= 
!IF $(DEBUG)
OUTPUTDIR	= .
CREATEOUTPUTDIR	=
TARGETDIR	= .
CREATETARGETDIR	=

CFLAGS		=  -g 
DEFINES		= 
!ELSE
OUTPUTDIR	= .
CREATEOUTPUTDIR	=
TARGETDIR	= .
CREATETARGETDIR	=

CFLAGS		=  -O 
DEFINES		= 
!ENDIF

MFLAGS		= MASTERPROJ=$(PROJ) 
DEBUGGERFLAGS	=  
PAR		= PROJS BATS SRCS

INCLUDES	= 



SRCS		= ..\tutorial\ActivePin.java ..\layout\AlignLayout.java ..\Allocation.java  \
		..\tutorial\AppletFrame.java ..\Area.java ..\Axis.java ..\wrapper\Background.java  \
		..\wrapper\Border.java ..\BoundingSpan.java ..\layout\Box.java ..\layout\BoxAlignElements.java  \
		..\widget\ButtonGlyph.java ..\test\ButtonTester.java ..\layout\CenterLayout.java ..\widget\CheckboxGlyph.java  \
		..\widget\ChoiceGlyph.java ..\tutorial\ColorChanger.java ..\test\ColorChanger.java ..\DebugGlyph.java  \
		..\layout\DebugLayout.java ..\figure\FigLabel.java ..\figure\FigLine.java ..\figure\FigOval.java  \
		..\figure\FigRectangle.java ..\figure\Figure.java ..\figure\FigureKit.java ..\figure\FigureMode.java  \
		..\figure\FigureStyle.java ..\layout\FixedLayout.java ..\wrapper\FrameHandle.java ..\wrapper\FrameResizeEvent.java  \
		..\layout\Glue.java ..\Glyph.java ..\GlyphImpl.java ..\GraphicsEvent.java  \
		..\util\GraphicsUtil.java ..\tutorial\GridPackage.java ..\layout\LayerLayout.java ..\layout\LayoutKit.java  \
		..\layout\LayoutManager.java ..\widget\ListGlyph.java ..\layout\MarginLayout.java ..\util\MathUtil.java  \
		..\MonoGlyph.java ..\layout\NaturalLayout.java ..\Painter.java ..\Picker.java  \
		..\tutorial\Pin.java ..\layout\Placement.java ..\Point.java ..\PolyGlyph.java  \
		..\Requirement.java ..\Requirements.java ..\wrapper\ResizableFrame.java ..\widget\ScrollbarGlyph.java  \
		..\Sgraphics.java ..\tutorial\Squares.java ..\tutorial\StretchableActivePin.java ..\layout\SuperposeLayout.java  \
		..\test\TestRectangle.java ..\test\TestTile.java ..\widget\TextAreaGlyph.java ..\widget\TextFieldGlyph.java  \
		..\layout\TileLayout.java ..\layout\TileLayoutFirstAligned.java ..\tutorial\TutorialExample1.java ..\tutorial\TutorialExample2.java  \
		..\tutorial\TutorialExample3.java ..\tutorial\TutorialExample4.java ..\tutorial\TutorialExample5.java ..\tutorial\TutorialExample6.java  \
		..\tutorial\TutorialExample7.java ..\layout\VariableLayout.java ..\Viewer.java ..\CanvasGlyph.java  \
		..\test\TestCanvas.java ..\example\CanvasEditor.java ..\widget\WidgetImpl.java ..\wrapper\HitGlyph.java  \
		..\test\TestLabel.java ..\figure\FigImage.java ..\example\CanvasEditor2.java ..\AdjustmentSettings.java  \
		..\Adjustment.java ..\AdjustmentConstraint.java ..\layout\FullyVisibleConstraint.java ..\layout\Viewport.java  \
		..\example\CanvasEditor3.java ..\figure\FigInsertBar.java ..\example\CanvasEditor3Applet.java ..\wrapper\Outline.java  \
		..\wrapper\LabeledOutline.java ..\test\TestOutline.java ..\example\CheckBoxApplet.java ..\SgraphicsAdapter.java  \
		..\TopViewer.java ..\ViewerCallback.java ..\tutorial\ActivePinCallback.java ..\tutorial\StretchableActivePinCallback.java  \
		..\widget\Widget.java ..\ViewerImpl.java ..\figure\FigureViewer.java 

BATS		= 

.SUFFIXES: .JAVA .CLASS 

.JAVA.CLASS:
	$(JAVAC) $(CFLAGS) $(INCLUDES) $*.java



all:	noteout createdir $(PRECOMPILE) compall $(POSTCOMPILE) _done


all2:	createdir $(PRECOMPILE) compall $(POSTCOMPILE) _done


all3:	createdir $(PRECOMPILE) compall2 $(POSTCOMPILE) _done


compall:	$(OBJS)
	$(JAVAC) $(CFLAGS) $(INCLUDES) -make -cdb $(PROJ).cdb @<<
	$(SRCS)
<<


compall2:	$(OBJS)
	$(JAVAC) $(CFLAGS) $(INCLUDES) -cdb $(PROJ).cdb @<<
	$(SRCS)
<<

noteout:
	REM Output to $(OUTPUTDIR)

createdir:
	$(CREATEOUTPUTDIR)
	$(CREATETARGETDIR)
	
_done:
		REM  Project is up to date

buildall:	clean	all3


clean:
		-del $(TARGETDIR)\$$SCW$$.$(PROJTYPE)
		-del $(TARGETDIR)\$(PROJ).CLE
		-del sgraphics.dpd
		-del $(OBJS)




