package sgraphics.test;

// Copyright (c) 1996    Michael A. Jones

import sgraphics.*;
import sgraphics.figure.Figure;
import sgraphics.figure.FigureStyle;

import java.awt.Color;

public class ColorChanger extends ViewerImpl {
	private Figure figure_;
	private Color saveColor_;

	public ColorChanger (Glyph figure) {
		super(figure);
		}

	public boolean mouseEnter(GraphicsEvent e, float x, float y) {
		System.out.println ("enter at " + x + " " + y);
		return false;
		}
	public boolean mouseExit(GraphicsEvent e, float x, float y) {
		System.out.println ("exit at " + x + " " + y);
		return false;
		}
	public boolean mouseMove(GraphicsEvent e, float x, float y) {
		System.out.println ("move at " + x + " " + y);
		return false;
		}
	public boolean mouseDrag(GraphicsEvent e, float x, float y) {
		System.out.println ("drag at " + x + " " + y);
		return false;
		}
	public boolean mouseDown(GraphicsEvent e, float x, float y) {
		System.out.println ("down at " + x + " " + y);
		Figure figure = (Figure) body();
		FigureStyle style = figure.getStyle();
		saveColor_ = style.foreground;
		style.foreground = Color.black;
		figure.setStyle(style);
		figure.needRedraw();
		return false;
		}
	public boolean mouseUp(GraphicsEvent e, float x, float y) {
		System.out.println ("up at " + x + " " + y);
		Figure figure = (Figure) body();
		FigureStyle style = figure.getStyle();
		style.foreground = saveColor_;
		figure.setStyle(style);
		System.out.println("call redraw on figure");
		figure.needRedraw();
		return false;
		}
	public boolean keyDown (GraphicsEvent e, int key) {
		System.out.println("key down");
		return false;
		}
	public boolean keyUp (GraphicsEvent e, int key) {
		System.out.println("key up");
		return false;
		}
	public boolean action (GraphicsEvent e, int arg) {
		System.out.println("action");
		return false;
		}
	public boolean gotFocus(GraphicsEvent e, int arg) {
		System.out.println("got focus");
		return false;
		}
	public boolean lostFocus(GraphicsEvent e, int arg) {
		System.out.println("lost focus");
		return false;
		}
}
