package sgraphics.test;

// Copyright (c) 1996    Michael A. Jones

import java.awt.*;

import sgraphics.*;
import sgraphics.figure.*;
import sgraphics.layout.*;

public class TestLabel {
    public static void main (String args[]) {
        System.out.println ("Start test...");

        Frame f = new Frame();
        f.resize(900, 500);
        f.setLayout(new BorderLayout());

        // For resolution independent conversions.
        Sgraphics s = new Sgraphics();

        // This would turn off resolution independence, which would
        // prevent potential rounding errors.
        // Sgraphics.resolutionIndependent = false;

        FigureStyle style = new FigureStyle();
        style.foreground = Color.black;
        style.background = Color.blue;
        style.brushSize = 1;
        style.font = new Font("Courier", Font.PLAIN, 16);

        Toolkit kit = Toolkit.getDefaultToolkit();
        FontMetrics metrics = kit.getFontMetrics(style.font);

        // Convert to resolution independent float.
        float height = s.convertHorizontal(metrics.getHeight());

        Glyph verticalBox = LayoutKit.vbox();

        verticalBox.append(
            LayoutKit.valign(
                FigureKit.blinkingLabel(style, "hello World"),
                0
            )
        );

        verticalBox.append(
            FigureKit.line(style, 0, 0, 200, 0)
        );

        Glyph hbox = LayoutKit.hbox();
        hbox.append(FigureKit.label(style, "hello aga"));
        hbox.append(FigureKit.insertBar(style));
        hbox.append(FigureKit.label(style, "in"));
        verticalBox.append(
            LayoutKit.valign (
                hbox,
                0
            )
        );

        verticalBox.append(LayoutKit.vfil());

        SgraphicsAdapter adapter = new SgraphicsAdapter(verticalBox);

        f.add("Center", adapter);
        f.show();

        System.out.println ("Test complete");
    }
}
