package sgraphics.test;

// Copyright (c) 1996    Michael A. Jones

import java.awt.Frame;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Font;

import sgraphics.*;
import sgraphics.figure.*;
import sgraphics.layout.*;

public class TestTile {
    public static void main (String args[]) {

        Frame f = new Frame();
        f.resize(300, 300);
        f.setLayout(new BorderLayout());

        // A set of squares in a hbox
        Glyph vb = LayoutKit.vbox();

        FigureStyle style = new FigureStyle();
        style.foreground = Color.yellow;
        style.background = Color.red;
        style.font = new Font("Courier", Font.PLAIN, 18);

        for (int cnt = 0; cnt < 7; cnt++) {
            Glyph text;
            if (cnt % 2 == 0)
                text = FigureKit.label(style, "Str" + String.valueOf(cnt));
            else
                text = FigureKit.verticalLabel(style, "Str" + String.valueOf(cnt));
            vb.append(LayoutKit.valign(text, 0));
        }
        vb.append(LayoutKit.vfil());

        SgraphicsAdapter a = new SgraphicsAdapter(vb);
        f.add("Center", a);
        f.show();
    }
}
