package sgraphics.tutorial;

// Copyright (c) 1996    Michael A. Jones
// Copyright (c) 1997    Bill Petheram

import java.awt.*;
import sgraphics.*;
import sgraphics.figure.*;
import sgraphics.layout.*;


public class ActivePin extends ViewerImpl {
    private String name_;

    public ActivePin (ActivePinCallback callback, String name, float size) {
        super(null, callback);
        name_ = name;

        FigureStyle style = new FigureStyle();
		style.foreground = Color.yellow;
		style.brushSize = 1;

		Glyph ring = LayoutKit.align(FigureKit.circle(FigureMode.Fill, style, 0, 0, size), 0.5F, 0.5F);

		style.foreground = Color.black;
		Glyph pin = LayoutKit.align(FigureKit.circle(FigureMode.Fill, style, 0, 0, size/2.5F), 0.5F, 0.5F);

		Glyph pinAndRing = LayoutKit.overlay();
		pinAndRing.append(ring);
		pinAndRing.append(pin);

        Glyph completePin = LayoutKit.align(LayoutKit.fixed(pinAndRing, size, size), 0F, 0F);

        setBody(completePin);
    }

	public String getName() {
		return name_;
	}
}
