package sgraphics.tutorial;


// Copyright (c) 1996    Michael A. Jones

import sgraphics.*;
import sgraphics.Glyph;
import sgraphics.figure.Figure;
import sgraphics.figure.FigureStyle;

import java.awt.Color;

public class ColorChanger extends ViewerImpl {
	private Figure figure_;
	private Color saveColor_;

	public ColorChanger (Glyph figure) {
		super(figure);
	}

	public boolean mouseDown(GraphicsEvent e, float X, float Y) {
		Figure figure = (Figure) body();
		FigureStyle style = figure.getStyle();
		saveColor_ = style.foreground;
		style.foreground = Color.black;
		figure.setStyle(style);
		figure.needRedraw();
		return false;
	}
	public boolean mouseUp(GraphicsEvent e, float X, float Y) {
		Figure figure = (Figure) body();
		FigureStyle style = figure.getStyle();
		style.foreground = saveColor_;
		figure.setStyle(style);
		figure.needRedraw();
		return false;
	}
}
