package	sgraphics.tutorial;

// Copyright (c) 1996	 Michael A.	Jones
// Copyright (c) 1997	 Bill Petheram

import java.applet.*;
import java.awt.*;
import sgraphics.*;
import sgraphics.figure.*;
import sgraphics.layout.*;
import sgraphics.wrapper.*;
import sgraphics.widget.*;


public class StretchableActivePinCallback implements ViewerCallback	{
	private	TextField pinNameField_	= null;
	private	StretchableActivePin lastPin_ =	null;

	public StretchableActivePinCallback(TextField pinNameField)	{

		pinNameField_ =	pinNameField;
	}

	public boolean mouseDown(Viewer	v, GraphicsEvent evt, float	X, float Y)	{
		return false;
	}

	public boolean mouseDrag(Viewer	v, GraphicsEvent evt, float	X, float Y)	{
		return false;
	}

	public boolean mouseUp(Viewer v, GraphicsEvent evt,	float X, float Y) {
		StretchableActivePin pin = (StretchableActivePin) v;
		if (pin	== lastPin_)
			return true;
		if (lastPin_ !=	null) {
			pinNameField_.setText(lastPin_.getName());
			lastPin_.endEdit();
			lastPin_ = null;
			return true;
		}
		pin.beginEdit();
		lastPin_ = pin;
		return true;
	}

	public boolean mouseMove(Viewer	v, GraphicsEvent evt, float	X, float Y)	{
		return false;
	}

	public boolean mouseEnter (Viewer v, GraphicsEvent event, float	x, float y)	{
		if (lastPin_ !=	null)
			return true;
		if (v instanceof StretchableActivePin) {
			StretchableActivePin pin = (StretchableActivePin) v;
			pinNameField_.setText(pin.getName());
			return true;
		}
		return false;
	}

	public boolean mouseExit (Viewer v,	GraphicsEvent event, float x, float	y) {
		if (lastPin_ !=	null)
			return true;
		if (v instanceof StretchableActivePin) {
			pinNameField_.setText("");
			return true;
		}
		return false;
	}

	public boolean keyDown(Viewer v, GraphicsEvent evt,	int	key) {
		if (v instanceof TextField)	{
			Glyph field	= (Glyph) v;
			StretchableActivePin pin = (StretchableActivePin) field.getParentGlyph();
			if (pin.editing() && (key == 13	|| key == 10)) {
					pin.endEdit();
					pinNameField_.setText(pin.getName());
					lastPin_ = null;
					return true;
			}
		}
		return false;
	}

	public boolean keyUp(Viewer	v, GraphicsEvent evt, int key) {
		return false;
	}

	public boolean keyActionDown(Viewer v, GraphicsEvent evt, int key) {
	    return false;
	}

	public boolean keyActionUp(Viewer v, GraphicsEvent evt, int key) {
	    return false;
	}

	public boolean action(Viewer v,	GraphicsEvent evt, Object what)	{
		return false;
	}
}
