package sgraphics.tutorial;

// Copyright (c) 1996    Michael A. Jones
// Copyright (c) 1997    Bill Petheram

import java.applet.*;
import java.awt.*;
import sgraphics.*;
import sgraphics.figure.*;
import sgraphics.layout.*;


public class TutorialExample2 extends Applet {

    public static void main (String arg[]) {
        Applet applet = new TutorialExample2();
        Frame frame = new AppletFrame("Example 2", applet, 100, 100);
        frame.show();
    }

	public void init () {
	    setBackground(Color.lightGray);

		FigureStyle style = new FigureStyle();
		style.foreground = Color.yellow;
		style.brushSize = 1;

		Glyph horizontalBox = LayoutKit.hbox();

		Glyph ring = FigureKit.circle(FigureMode.Fill, style, 0, 0, 20F);

		style.foreground = Color.black;
		Glyph pin = FigureKit.circle(FigureMode.Fill, style, 0, 0, 8F);

		Glyph pinAndRing = LayoutKit.overlay();
		pinAndRing.append(ring);
		pinAndRing.append(LayoutKit.margin(pin, 6F));

        Glyph fixedPin = LayoutKit.fixed(pinAndRing, 20, 20);

		horizontalBox.append(
		    LayoutKit.margin(
		            fixedPin,
		            6
		    )
		);

		SgraphicsAdapter adapter = new SgraphicsAdapter(horizontalBox);

		add("Center", adapter);
	}
}
