package sgraphics.tutorial;

// Copyright (c) 1996    Michael A. Jones
// Copyright (c) 1997    Bill Petheram

import java.applet.*;
import java.awt.*;
import sgraphics.*;
import sgraphics.figure.*;
import sgraphics.layout.*;
import sgraphics.wrapper.*;


public class TutorialExample5 extends Applet {

        public static void main (String arg[]) {
        Applet applet = new TutorialExample5();
        Frame frame = new AppletFrame("Example 5", applet, 400, 500);
        frame.show();
    }

	public void init () {
	    setBackground(Color.white);

		FigureStyle style = new FigureStyle();
		style.foreground = Color.yellow;
		style.brushSize = 1;

        Glyph verticalBox = LayoutKit.vbox();

        for (int row = 0; row < 8; row++) {
		    Glyph horizontalRow = LayoutKit.hbox();
		    for (int col = 0; col < 8; col++)
		        if (row > 1 && row < 6 && col > 1 && col < 6) {
		            horizontalRow.append(LayoutKit.hspace(32));
		        }
		        else {
		            horizontalRow.append(
		                LayoutKit.margin(
		                    new Pin("FakeName", 20F),
		                    6
		                )
		            );
		        }
		    verticalBox.append(horizontalRow);
		}

		Glyph device = LayoutKit.margin(new Background(verticalBox, Color.gray, true, true), 20);

		SgraphicsAdapter adapter = new SgraphicsAdapter(device);

		add("Center", adapter);
	}
}
