package sgraphics.tutorial;

// Copyright (c) 1996    Michael A. Jones
// Copyright (c) 1997    Bill Petheram

import java.applet.*;
import java.awt.*;
import sgraphics.*;
import sgraphics.figure.*;
import sgraphics.layout.*;
import sgraphics.wrapper.*;


public class TutorialExample6 extends Applet {
		private TextField pinNameField_ = new TextField(20);
		private ActivePinCallback callback_ =new ActivePinCallback(pinNameField_);

        public static void main (String arg[]) {

        Applet applet = new TutorialExample6();
        Frame frame = new AppletFrame("Example 6", applet, 550, 550);
        frame.show();
    }

	public TutorialExample6() {
	    setLayout(new BorderLayout());
	    setBackground(Color.white);

		FigureStyle style = new FigureStyle();
		style.foreground = Color.yellow;
		style.brushSize = 1;

        Glyph verticalBox = LayoutKit.vbox();

        for (int row = 0; row < 8; row++) {
		    Glyph horizontalRow = LayoutKit.hbox();
		    for (int col = 0; col < 8; col++)
		        if (row > 1 && row < 6 && col > 1 && col < 6) {
		            horizontalRow.append(LayoutKit.hspace(32));
		        }
		        else {
		            String pinName = "Pin " + String.valueOf(row) + "X" + String.valueOf(col);
		            horizontalRow.append(
		                LayoutKit.margin(
		                    new ActivePin(callback_, pinName, 20F),
		                    6
		                )
		            );
		        }
		    verticalBox.append(horizontalRow);
		}

		Glyph part = new Background(verticalBox, Color.gray, true, true);

		Glyph columnBox = LayoutKit.hbox();
		style = new FigureStyle();
		style.foreground = Color.black;
		style.font = new Font("Courier", Font.PLAIN, 16);
	    for (int col = 0; col < 8; col++) {
		    columnBox.append(LayoutKit.hfil());
	        columnBox.append(LayoutKit.align(FigureKit.label(style, String.valueOf(col)), 0F, 0F));
		    columnBox.append(LayoutKit.hfil());
	    }

	    Glyph rowBox = LayoutKit.vbox();
		Toolkit kit = Toolkit.getDefaultToolkit();
		FontMetrics metrics = kit.getFontMetrics(style.font);
		Sgraphics s = new Sgraphics();
		float columnBoxHeight = s.convertVertical(metrics.getHeight());
		rowBox.append(LayoutKit.vspace(columnBoxHeight));
	    for (int row = 0; row < 8; row++) {
		    rowBox.append(LayoutKit.vfil());
	        rowBox.append(LayoutKit.align(FigureKit.label(style, String.valueOf((char) (row + 65))), 0F, 0F));
		    rowBox.append(LayoutKit.vfil());
	    }

	    Glyph v = LayoutKit.vbox();
	    v.append(LayoutKit.align(columnBox, 0, 0));
	    v.append(part);

	    Glyph h = LayoutKit.hbox();
	    h.append(LayoutKit.vfixed(rowBox, columnBoxHeight + 256F));
	    h.append(LayoutKit.hspace(4F));
	    h.append(v);

		Glyph device = LayoutKit.margin(h, 60);

		SgraphicsAdapter adapter = new SgraphicsAdapter(device);

		add("Center", adapter);

		pinNameField_.setEditable(false);
		add("South", pinNameField_);
	}
}
