package sgraphics.wrapper;

// Copyright (c) 1996    Michael A. Jones

import sgraphics.*;
import sgraphics.Glyph;
import sgraphics.figure.Figure;
import sgraphics.figure.FigureKit;
import sgraphics.figure.FigureStyle;

import java.awt.Color;

/**
 * This class is a square handle for a frame. It is used to draw the edge
 * of a frame.
 */
public class FrameHandle extends ViewerImpl {
	private Figure figure_;
	private Color active_;
	private Color inactive_;

    /**
     * @param active the active color.
     * @param inactive the inactive color.
     * @param size the size of the handle.
     */
	public FrameHandle (Color active, Color inactive, float size) {
	    super(null);
		active_ = active;
		inactive_ = inactive;
		FigureStyle style = new FigureStyle();
		style.foreground = inactive_;
		figure_ = FigureKit.rectangle(Figure.Fill, style, 0F, 0F, size, size);
		setBody(figure_);
	}

    /**
     * Use the active color.
     */
	public void activate () {
	    FigureStyle style = figure_.getStyle();
	    style.foreground = active_;
	    figure_.setStyle(style);
	}

	/**
	 * Use the inactive color.
	 */
	public void inactivate () {
	    FigureStyle style = figure_.getStyle();
	    style.foreground = inactive_;
	    figure_.setStyle(style);
	}
}
